version: '3'
networks:
  default:
    external:
      name: orienteer-tile-server
services:
  postgis:
    image: mdillon/postgis:11-alpine
    restart: unless-stopped
    ports:
      - "25432:5432"
    environment:
      - POSTGRES_DB=land-ownership
      - POSTGRES_USER=user
      - POSTGRES_PASSWORD=pass
    volumes:
      - .:/application
  app:
    build:
      context: .
      dockerfile: docker/Dockerfile-dev
    volumes:
      - .:/application
      - /application/node_modules
    command: npm run dev
    environment:
      VIRTUAL_PORT: 8080
      VIRTUAL_HOST: tiles.orienteer.co.docker
      APP_PATH: /
      HOST: 0.0.0.0
      PORT: 8080
      DOCKER_ENV: compose
      BASE_URL: https://tiles.orienteer.co.docker
      NODE_ENV: development
      PG_HOST: postgis
      PG_USER: user
      PG_PASSWORD: pass
      PG_DATABASE: land-ownership
